localsearch (3.11.0-1ubuntu1.1) resolute; urgency=medium

  * d/control: Add Breaks/Replaces for localsearch-extractor-{office,iso}
    - The shared objects in these new packages were previously owned by
      tracker-extract 3.8.2-4ubuntu2.1 (LP: #2153123)

 -- Charles <charles05@canonical.com>  Tue, 19 May 2026 11:39:41 +0100

localsearch (3.11.0-1ubuntu1) resolute; urgency=medium

  * d/p: Fix extractor crash (LP: #2147184)
  * d/localsearch-extractor-office.install:
    - Add back libtracker-extract-zip.so, introduced by the above patch

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 08 Apr 2026 11:39:06 +0200

localsearch (3.11.0-1) unstable; urgency=medium

  * New upstream release
  * d/localsearch-extractor-office.install:
    - libtracker-extract-zip.so is no more, the function inside this
      shared object is now built into each office extractor library.
  * d/p/extractor-Move-zip-input-stream-into-a-private-shared-lib.patch:
    - Included in this release.
  * d/p/tiff-photo-1.expected.json-Mark-as-XFAIL.patch:
    - Addressed upstream

 -- Charles <charles05@canonical.com>  Mon, 30 Mar 2026 09:17:45 +0100

localsearch (3.11.0-0ubuntu1) resolute; urgency=medium

  * New upstream bugfix release
  * d/localsearch-extractor-office.install:
    - libtracker-extract-zip.so is no more, the function inside this
      shared object is now built into each office extractor library.
  * d/p/extractor-Move-zip-input-stream-into-a-private-shared-lib.patch:
    - Included in this release.
  * d/p/tiff-photo-1.expected.json-Mark-as-XFAIL.patch:
    - Addressed upstream

 -- Charles <charles05@canonical.com>  Mon, 30 Mar 2026 09:17:45 +0100

localsearch (3.11~rc-2) unstable; urgency=medium

  [ Alessandro Astone ]
  * d/p: Remove unnecessary patch, we now have new enough tinysparql
  * d/control: Update minimum libtinysparql-dev

  [ Jeremy Bícha ]
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 10 Mar 2026 12:22:55 -0400

localsearch (3.11~rc-1) experimental; urgency=medium

  * Team upload

  [ Daniel van Vugt ]
  * Drop upstreamed patches:
    - tests-Disable-A-V-tests-when-Dlibav-is-disabled.patch
    - CVE-2026-1764.patch
    - CVE-2026-1765.patch
    - CVE-2026-1766-pre1.patch
    - CVE-2026-1766.patch
    - CVE-2026-1767.patch
    - bug426.patch
  * Refresh patches:
    - tests-decrease-deadline.patch
  * Add patches:
    - Revert-subprojects-Bump-tinysparql-version-to-latest-main.patch

  [ Charles ]
  * New upstream release 3.11.rc (LP: #2143737)
  * Add new dependency: libzip
  * Move ISO extractor into a separate package.
    - The extractor depends on libosinfo-1.0-dev, a universe dependency.
  * Move certain compressed publication formats into a separate package.
    - Some compressed office formats, like oasis, msoffice-xml and
      epub require the libzip compression library to be
      indexed. LocalSearch uses libzip for this, which is a universe
      dependency. Move these extractors into a separate package.
    - extractor-Move-zip-input-stream-into-a-private-shared-lib.patch:
      + Avoid the main tracker-extract-3 executable linking against
        libzip directly. This allows shipping the zip-input-stream
        function in a separate package separate to the one needed in
        Ubuntu main.
  * d/copyright: Update

 -- Charles <charles05@canonical.com>  Mon, 09 Mar 2026 22:12:30 +0000

localsearch (3.11~alpha-1) experimental; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 3.11.alpha
  * Update build dependencies for the new release:
    - Drop: libexif-dev (see gexiv2), libgudev-1.0-dev, libiptcdata0-dev,
      libnm-dev
    - Bump: libglib2.0-dev (>= 2.76.0), libtinysparql-dev (>= 3.10.1),
      meson (>= 0.59)
    - Add: libwebp-dev
  * Drop upstreamed patches:
    - common-Cast-function-argument-to-expected-type.patch
    - extract-html-Don-t-assume-a-NUL-terminated-string-for-the.patch
    - tests-Use-full-signature-in-function-definition.patch
    - tracker-miners-Fix-bmp-basic-1-test-failures-on-big-endia.patch
  * Refresh patches and fix conflicts:
    - CVE-2026-1764.patch
    - CVE-2026-1765.patch
    - CVE-2026-1766-pre1.patch
    - CVE-2026-1766.patch
    - CVE-2026-1767.patch
    - bug426.patch
    - tests-decrease-deadline.patch
  * Add patches:
    - tests-Disable-A-V-tests-when-Dlibav-is-disabled.patch
  * Modify patches:
    - Drop-file-notifier-and-miner-fs-tests.patch has become
      Drop-several-libtracker_miner_slow_tests.patch to address a recurring
      failure unique to the Debian CI environment.
  * debian/rules: Drop -Dgeneric_media_extractor|miner_rss which were both
    removed in 3.9
  * debian/localsearch.install: Add/remove files as they now exist.
  * debian/control: localsearch replaces all old tracker-{extract,miner-fs}

  [ Charles ]
  * localsearch-extractor-ffmpeg:
    - Factor FFmpeg extractor into separate binary package to ease
      distribution problems on Ubuntu. This will be available as a binary
      package in the universe component.
    - Recommend this new binary package on Debian, and Suggest it on
      Ubuntu.
  * Avoid unconditional installation of iso extractor since it's
    conditioned to build only on Debian. Now that modules are
    explicitly listed for dh_install due to the FFmpeg extractor being
    factored out, this needs to be explicitly handled.
  * d/control: Add missing B-D on gir1.2-gstreamer-1.0. Required by
    the test suite.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Tue, 17 Feb 2026 14:43:08 +0800

localsearch (3.8.2-12) unstable; urgency=high

  [ Marc Deslauriers ]
  * SECURITY UPDATE: Heap Buffer Overflow
    - debian/patches/CVE-2026-1764.patch: check for valid offsets
      extracting MP3 performer tags in
      src/tracker-extract/tracker-extract-mp3.c.
      - CVE-2026-1764
  * SECURITY UPDATE: NULL Pointer Dereference
    - debian/patches/bug426.patch: bail out on 0-size frame for ID3v2.0
      tags in src/tracker-extract/tracker-extract-mp3.c.
    - No CVE number
  * SECURITY UPDATE: Heap Buffer Overflow
    - debian/patches/CVE-2026-1765.patch: check for buffer boundaries
      extracting MP3 TXXX tags in
      src/tracker-extract/tracker-extract-mp3.c.
    - CVE-2026-1765
  * SECURITY UPDATE: Heap Buffer Overflow
    - debian/patches/CVE-2026-1766-pre1.patch: minor code refactor in
      src/tracker-extract/tracker-extract-mp3.c.
    - debian/patches/CVE-2026-1766.patch: refactor/fix handling of COMM
      tags in src/tracker-extract/tracker-extract-mp3.c.
    - CVE-2026-1766
  * SECURITY UPDATE: Heap Buffer Overflow
    - debian/patches/CVE-2026-1767.patch: fix accounting of offsets within
      MP3 performer tags in src/tracker-extract/tracker-extract-mp3.c.
    - CVE-2026-1767
    - Closes: #1126910

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 05 Feb 2026 16:06:08 -0500

localsearch (3.8.2-11) unstable; urgency=medium

  * Team upload
  * d/clean: Add trailing slash to directory to fix FTBFS after successful build
    (Closes: #1047126)

 -- Matheus Polkorny <mpolkorny@gmail.com>  Fri, 16 Jan 2026 16:52:23 -0300

localsearch (3.8.2-10) unstable; urgency=medium

  * Increase TRACKER_TESTS_AWAIT_TIMEOUT to fix test failures on riscv64

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Jan 2026 14:10:05 -0500

localsearch (3.8.2-9) unstable; urgency=medium

  * Finish renaming tracker-extract to localsearch (Closes: #1113704)
  * Remove direct Build-Depends: dbus, dbus-x11 (Closes: #1117097)
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 06 Jan 2026 12:18:44 -0500

localsearch (3.8.2-8) unstable; urgency=high

  * Rename localsearch binary package back to tracker-extract
    to avoid upgrade issue with --purge. (Mitigates: #1113704)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 24 Sep 2025 20:25:36 -0400

localsearch (3.8.2-7) unstable; urgency=medium

  * Cherry-pick 2 patches to fix build with gcc-15 (Closes: #1098013)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Sep 2025 05:22:58 -0400

localsearch (3.8.2-6) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Build-Depend on gobject-introspection, not libgirepository-1.0-dev

  [ Jeremy Bícha ]
  * Bump Standards Version to 4.7.2
  * Remove obsolete Rules-Require-Root field
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 31 Aug 2025 15:46:21 -0400

localsearch (3.8.2-5) experimental; urgency=medium

  * Rename source package and primary binary package to match upstream rename
    (Closes: #1072711)
  * Convert the tracker-extract package to a transitional package
  * Use Build-Depends: gir1.2-tracker-3.0 instead of libtracker-sparql-3.0-dev
  * Cherry-pick patch to fix build with libxml 2.14 (Closes: #1106644)
    (LP: #2111803)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 12 Aug 2025 18:52:20 -0400

tracker-miners (3.8.2-4) unstable; urgency=high

  * Add Build-Depends: libtracker-sparql-3.0-dev for build tests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Mar 2025 16:04:38 -0500

tracker-miners (3.8.2-3) unstable; urgency=medium

  * Add patch to decrease stall test deadline to try to help tests
    pass on slower Debian build architectures like riscv64

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Feb 2025 11:10:09 -0500

tracker-miners (3.8.2-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 19 Feb 2025 20:41:12 -0500

tracker-miners (3.8.2-1) experimental; urgency=medium

  * New upstream release
    - Project has been renamed to localsearch
  * Keep using tracker-miners source package name and tracker-extract
    binary package name to avoid NEW queue processing delay
  * Add versioned provides for localsearch so that apps can use the new
    name sooner in their Debian dependencies
  * Convert tracker-miner-fs to a transitional package
  * Add tracker-test-utils package, previously built by source package tracker
  * Update Depends from tracker to tinysparql
  * Remove obsolete Build-Depends: intltool, libblkid-dev
  * Add Build-Depends: libgirepository-1.0-dev, libgudev-1.0-dev
  * Update debian/copyright
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 15 Feb 2025 09:35:20 -0500

tracker-miners (3.7.4-1) unstable; urgency=medium

  * New upstream release
  * Cherry-pick a proposed patch to fix the bmp test on big endian
    (Closes: #1064548)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 11 Dec 2024 20:08:09 -0500

tracker-miners (3.7.3-1) unstable; urgency=medium

  * New upstream release (Closes: #1069409)
  * Add patch to skip new broken tiff-photo test

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 02 May 2024 14:28:09 -0400

tracker-miners (3.7.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 02 May 2024 08:33:30 -0400

tracker-miners (3.7.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 27 Mar 2024 18:35:21 -0400

tracker-miners (3.7.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1066898)
  * salsa-ci.yml: Drop experimental handling
  * Disable seccomp for build test build, similar to how we
    disable landlock there

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Mar 2024 11:27:30 -0400

tracker-miners (3.7~rc-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Mar 2024 08:05:21 -0500

tracker-miners (3.7~rc-2) experimental; urgency=medium

  [ Patrice Duroux ]
  * Update Homepage (Closes: #1064214)

  [ Jeremy Bícha ]
  * Use "images" for bmp-basic-1 big-endian test override

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 07 Mar 2024 09:41:04 -0500

tracker-miners (3.7~rc-1) experimental; urgency=medium

  * New upstream release
  * Re-enable landlock feature
  * Do an additional build without landlock for build tests only
  * Skip bmp-basic-1 test on big-endian architectures:
    it is a new test failing there

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 04 Mar 2024 19:31:14 -0500

tracker-miners (3.7~beta-2) experimental; urgency=medium

  * Temporarily disable landlock feature since it breaks build tests
    on official Debian & Ubuntu builders

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 23 Feb 2024 18:56:28 -0500

tracker-miners (3.7~beta-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Stop using debian/control.in and dh_gnome_clean
  * Bump minimum tracker to 3.7
  * Update install file
  * Add debian/salsa-ci.yml

  [ Laurent Bigonville ]
  * debian/control: Switch from systemd to systemd-dev BD (Closes: #1060595)

  [ Matthew Ruffell ]
  * Purge stale systemd unit dependency symbolic links to remove
    tracker-extract-3.service from default.target.wants. (LP: #1779890)
    - d/tracker-extract.postinst

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 23 Feb 2024 17:44:58 -0500

tracker-miners (3.6.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 15:40:13 -0400

tracker-miners (3.6~rc-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum tracker to 3.6

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Sep 2023 11:39:07 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog localsearch-extractor-ffmpeg`.
